### Virtual Method

# Gtk Editableset_selection_bounds

#### Declaration [src]

    void
    set_selection_bounds (
      GtkEditable* editable,
      int start_pos,
      int end_pos
    )

#### Description [src]

Selects a region of text.

The characters that are selected are those characters at positions from `start_pos` up to, but not including `end_pos`. If `end_pos` is negative, then the characters selected are those characters from `start_pos` to the end of the text.

Note that positions are specified in characters, not bytes.

#### Parameters

`start_pos`

  Type: `int`

  Start of region.

`end_pos`

  Type: `int`

  End of region.